MibTypeSymbol (Mibble 2.10.1 Documentation)
Date: 2017-02-20

net.percederberg.mibble

## Class MibTypeSymbol

- java.lang.Object
- - net.percederberg.mibble.MibSymbol
  - - net.percederberg.mibble.MibTypeSymbol

-     public class MibTypeSymbol
      extends MibSymbol

  A MIB type symbol. This class holds information relevant to a MIB type assignment, i.e. a defined type name.
  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MibType` | `getType()` Returns the symbol type.
    `void` | `initialize(MibLoaderLog log)` Initializes the MIB symbol.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class net.percederberg.mibble.MibSymbol

      `getComment, getFileRef, getLocation, getMib, getName, getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### initialize

          public void initialize(MibLoaderLog log)
                          throws MibException

      Initializes the MIB symbol. This will remove all levels of indirection present, such as references to types or values. No information is lost by this operation. This method may modify this object as a side-effect.

      NOTE: This is an internal method that should only be called by the MIB loader.

      Specified by:
        `initialize` in class `MibSymbol`
      Parameters:
        `log` - the MIB loader log
      Throws:
        `MibException` - if an error was encountered during the initialization

    - #### getType

          public MibType getType()

      Returns the symbol type.
      Returns:
        the symbol type

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this object